com.tibbo.aggregate.common.discovery

## Class DiscoveryResultItem

- java.lang.Object
- - com.tibbo.aggregate.common.discovery.DiscoveryResultItem

-     public class DiscoveryResultItem
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiscoveryResultItem(DiscoverableServiceDefinition aDiscoverableServiceDefinition, DataRecord parametersDataRecord)`
    `DiscoveryResultItem(DiscoverableServiceDefinition aDiscoverableServiceDefinition, DataRecord parametersDataRecord, DeviceRecommendation aDeviceRecommendation)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDeviceDescription()`
    `java.lang.String` | `getDeviceName()`
    `DeviceRecommendation` | `getDeviceRecommendation()`
    `DiscoveryProvider` | `getDiscoveryProvider()`
    `DataRecord` | `getParameters()`
    `DataTable` | `getParametersTable()`
    `DiscoverableServiceDefinition` | `getServiceDefinition()`
    `java.lang.String` | `getServiceDescription()`
    `java.lang.String` | `getServiceName()`
    `boolean` | `isEnabledByDefault()`
    `void` | `setParameters(DataRecord parametersDataRecord)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DiscoveryResultItem

          public DiscoveryResultItem(DiscoverableServiceDefinition aDiscoverableServiceDefinition,
                                     DataRecord parametersDataRecord)

    - #### DiscoveryResultItem

          public DiscoveryResultItem(DiscoverableServiceDefinition aDiscoverableServiceDefinition,
                                     DataRecord parametersDataRecord,
                                     DeviceRecommendation aDeviceRecommendation)

  - ### Method Detail

    - #### getServiceDefinition

          public DiscoverableServiceDefinition getServiceDefinition()

    - #### getParameters

          public DataRecord getParameters()

    - #### setParameters

          public void setParameters(DataRecord parametersDataRecord)

    - #### getDeviceName

          public java.lang.String getDeviceName()

    - #### getDeviceDescription

          public java.lang.String getDeviceDescription()

    - #### getDiscoveryProvider

          public DiscoveryProvider getDiscoveryProvider()

    - #### getServiceName

          public java.lang.String getServiceName()

    - #### getServiceDescription

          public java.lang.String getServiceDescription()

    - #### isEnabledByDefault

          public boolean isEnabledByDefault()

    - #### getParametersTable

          public DataTable getParametersTable()

    - #### getDeviceRecommendation

          public DeviceRecommendation getDeviceRecommendation()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`